Soporte y Mantenimiento FUAM 2026-2027 - Evaluar #4713
Hito # 4849 (Nueva): Horas del nuevo contrato 2026-2027

Gestion de becas - ldgica general (evolutivo)
10/17/2025 08:51 AM - Daniel Garcia

Status: Pausada Start date: 10/17/2025
Priority: Urgente Due date:

Assignee: Daniel Garcia % Done: 100%
Category: Estimated time: 47.00 hours
Target version: Spent time: 47.10 hours
Description

El estudiante puede solicitar ayuda y beca, ambas opciones no son excluyentes.
Las ayudas y becas no deben estar preseleccionadas.
El estudiante elige una sola beca, aporta documentacion y el profesor decide si la otorga y con qué porcentaje.

Requisitos funcionales:

- Permitir al alumno solicitar simultaneamente una beca y una ayuda.

- No marcar por defecto ninguna de las opciones (ninguna preseleccionada).

- El alumno puede elegir solo una beca de las disponibles.

- El profesor podra otorgar o denegar la beca seleccionada y definir el porcentaje a aplicar (1-99%).
- Tras otorgar o denegar, el alumno podra pagar segun el importe ajustado.

- Refrescar el importe y mostrar el descuento aplicado en tiempo real.

History

#1 - 10/17/2025 08:54 AM - Daniel Garcia

- Priority changed from Normal to Urgente

#2 - 10/17/2025 09:01 AM - Daniel Garcia
- Parent task set to #4710

#3 - 10/20/2025 08:20 AM - Daniel Garcia
- Status changed from Nueva to En Aprobacion

- Assignee changed from Daniel Garcia to Jose Antonio Martin Bravo

#4 - 10/20/2025 08:23 AM - Daniel Garcia

- Status changed from En Aprobacion to En curso

#5 - 10/20/2025 08:29 AM - Daniel Garcia
Diferencias funcionales en la gestion de Becas y Ayudas

Tras revisar el documento de requerimientos original (Requerimientos Funcionales Plataforma Académica v1.0), se confirma que en ningin
punto se contempla que un estudiante pueda solicitar simultdneamente una beca y una ayuda.

En el documento original se establece que el alumno puede solicitar “una beca o una ayuda disponible asociada al curso”, por lo que ambas
opciones se consideraban excluyentes.

Lo que solicita ahora el cliente (poder solicitar ambas, permitir sumarlas y que el profesor defina manualmente el % de descuento) supone un cambio
funcional no previsto en el alcance inicial.

Ademas esto se hablé con vosotros el problema es que no quedé por escrito pero se dijo que eran excluyente pedir una ayuda y una beca de forma
simultanea y ahora el sistema esta pensado para que asi sea, los cambios son bastante sensibles.

Este nuevo modelo implica modificaciones en la légica de negocio, la interfaz de profesor y alumno, el calculo de importes, y la gestion de los
estados de matricula y pago.

Estimacion técnica:

- Adaptacion del modelo de datos (permitir coexistencia de beca y ayuda en la misma matricula) — 6-8 h
- Modificacion de la vista de profesor (campos editables para % de beca y % de ayuda, validaciones y refresco de totales) — 8-10 h
- Actualizacion de la vista de alumno (selecciéon multiple, visualizacién de descuentos aplicados, y validaciones de envio) — 6-8 h
- Revisién de la I6gica de calculo de importes (aplicaciéon de descuentos acumulados y limites <100%) — 4-6 h
- Ajuste de correos automaticos, resumen de matricula y estados de pago — 3-4 h
- Pruebas integradas y validacién de flujos completos (beca, ayuda, ambas) — 6-8 h

- Documentacion y actualizacién de manual de usuario — 2-3 h

Total estimado:

35-47 horas de desarrollo, segun validacién de pruebas y nivel de integracién con médulos actuales.

#6 - 10/20/2025 08:29 AM - Daniel Garcia

- Status changed from En curso to Pausada

#7 - 10/24/2025 07:47 AM - Daniel Garcia

- Tracker changed from Tareas to Evaluar

#8 - 10/24/2025 07:47 AM - Daniel Garcia

- Subject changed from Gestion de becas — Iogica general to Gestion de becas — Idgica general (evolutivo)

#9 - 10/28/2025 11:20 AM - Jose Antonio Martin Bravo

- Assignee changed from Jose Antonio Martin Bravo to Daniel Garcia

OK, adelante con el desarrollo

#10 - 10/30/2025 10:48 AM - Jose Alberto Rodriguez

- Assignee changed from Daniel Garcia to Jose Alberto Rodriguez

#11 - 10/30/2025 10:51 AM - Jose Alberto Rodriguez
- Target version changed from 1.0.53 to 1.0.55

#12 - 10/30/2025 12:41 PM - Daniel Garcia
- Estimated time set to 47.00 h

#13 - 11/06/2025 10:05 AM - Jose Alberto Rodriguez
- % Done changed from 0 to 90

#14 - 11/07/2025 08:57 AM - Jose Alberto Rodriguez
- Assignee changed from Jose Alberto Rodriguez to Daniel Garcia

- % Done changed from 90 to 100

#15 - 03/03/2026 07:08 AM - Daniel Garcia

- Project changed from Gestion de Matriculas 2024-2025 to Soporte y Mantenimiento FUAM 2026-2027

- Category deleted (Plataforma académica)
- Target version deleted (1.0.55)
- Parent task changed from #4710 to #4849
